Debian Bug report logs - #651748
aptitude: resolver screams bloody murder in multiarch setup

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 11 Dec 2011 20:45:01 UTC

Severity: normal

Found in version aptitude/0.6.4-1.2

Fixed in version aptitude/0.6.6-1

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#651748; Package aptitude. (Sun, 11 Dec 2011 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Sun, 11 Dec 2011 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: resolver screams bloody murder in multiarch setup
Date: Sun, 11 Dec 2011 20:41:36 +0000
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.6.4-1.2
Severity: normal

I have an amd64 system on which multiarch (with i386) is enabled.
aptitude does not handle this gracefully.  In interactive (ncurses)
mode, I must manually correct problems with packages being out of sync,
which is not really an acceptable situation.  But that's another bug.
This bug is that when I attempt to adjust the packages, I get errors
like:

Internal error: the solver Install(libc-bin 2.13-21 <libc6 2.13-21 -> {libc-bin 2.13-21 libc-bin 2.13-21}>) of a supposedly unresolved dependency is already installed in step 3218

except that there are a *lot* of these, so many that they scroll for
five or six seconds while I'm mashing Ctrl-L.

aptitude should not dump internal error messages to the terminal before
calling the appropriate ncurses function (probably endwin) unless
they're appropriately formatted with ncurses.

-- Package-specific info:
aptitude 0.6.4 compiled at Oct 29 2011 20:08:13
Compiler: g++ 4.6.2
Compiled against:
  apt version 4.10.1
  NCurses version 5.9
  libsigc++ version: 2.2.9
  Ept support enabled.
  Gtk+ support disabled.
  Qt support disabled.

Current library versions:
  NCurses version: ncurses 5.9.20110404
  cwidget version: 0.5.16
  Apt version: 4.10.1
	linux-vdso.so.1 =>  (0x00007fff907ff000)
	libapt-pkg.so.4.10 => /usr/lib/libapt-pkg.so.4.10 (0x00007f5eacab0000)
	libncursesw.so.5 => /lib/x86_64-linux-gnu/libncursesw.so.5 (0x00007f5eac881000)
	libtinfo.so.5 => /lib/x86_64-linux-gnu/libtinfo.so.5 (0x00007f5eac658000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007f5eac453000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007f5eac14b000)
	libept.so.1 => /usr/lib/libept.so.1 (0x00007f5eabeee000)
	libxapian.so.22 => /usr/lib/libxapian.so.22 (0x00007f5eabaf4000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f5eab8dd000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007f5eab639000)
	libboost_iostreams.so.1.46.1 => /usr/lib/libboost_iostreams.so.1.46.1 (0x00007f5eab420000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f5eab204000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f5eaaeff000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f5eaac7d000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f5eaaa67000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f5eaa6e2000)
	libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f5eaa4df000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f5eaa2db000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00007f5eaa0d6000)
	libbz2.so.1.0 => /lib/x86_64-linux-gnu/libbz2.so.1.0 (0x00007f5ea9ec6000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f5ea9cbd000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f5eacde9000)
Terminal: gnome-256color
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt                       0.8.16~exp8
ii  libapt-pkg4.10            0.8.15~exp1
ii  libboost-iostreams1.46.1  1.46.1-7+b1
ii  libc6                     2.13-21
ii  libcwidget3               0.5.16-3.1
ii  libept1                   1.0.5
ii  libgcc1                   1:4.6.2-6
ii  libncursesw5              5.9-4
ii  libsigc++-2.0-0c2a        2.2.9-1.1
ii  libsqlite3-0              3.7.9-2
ii  libstdc++6                4.6.2-6
ii  libtinfo5                 5.9-4
ii  libxapian22               1.2.7-1
ii  zlib1g                    1:1.2.3.4.dfsg-3

Versions of packages aptitude recommends:
ii  apt-xapian-index                0.44
ii  aptitude-doc-en [aptitude-doc]  0.6.4-1.2
ii  libparse-debianchangelog-perl   1.2.0-1
ii  sensible-utils                  0.0.6

Versions of packages aptitude suggests:
pn  debtags  <none>
pn  tasksel  <none>

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Thu, 22 Mar 2012 17:21:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Tue, 27 Mar 2012 23:21:55 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Tue, 27 Mar 2012 23:21:55 GMT) Full text and rfc822 format available.

Message #12 received at 651748-close@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 651748-close@bugs.debian.org
Subject: Bug#651748: fixed in aptitude 0.6.6-1
Date: Tue, 27 Mar 2012 23:17:26 +0000
Source: aptitude
Source-Version: 0.6.6-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.6.6-1_amd64.deb
  to main/a/aptitude/aptitude-dbg_0.6.6-1_amd64.deb
aptitude-doc-cs_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-cs_0.6.6-1_all.deb
aptitude-doc-en_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-en_0.6.6-1_all.deb
aptitude-doc-es_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-es_0.6.6-1_all.deb
aptitude-doc-fi_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-fi_0.6.6-1_all.deb
aptitude-doc-fr_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-fr_0.6.6-1_all.deb
aptitude-doc-ja_0.6.6-1_all.deb
  to main/a/aptitude/aptitude-doc-ja_0.6.6-1_all.deb
aptitude_0.6.6-1.debian.tar.gz
  to main/a/aptitude/aptitude_0.6.6-1.debian.tar.gz
aptitude_0.6.6-1.dsc
  to main/a/aptitude/aptitude_0.6.6-1.dsc
aptitude_0.6.6-1_amd64.deb
  to main/a/aptitude/aptitude_0.6.6-1_amd64.deb
aptitude_0.6.6.orig.tar.gz
  to main/a/aptitude/aptitude_0.6.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651748@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Hartwig <mandyke@gmail.com> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Mar 2012 17:02:31 +0800
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-es aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source amd64 all
Version: 0.6.6-1
Distribution: unstable
Urgency: low
Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
Changed-By: Daniel Hartwig <mandyke@gmail.com>
Description: 
 aptitude   - terminal-based package manager (terminal interface only)
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-es - Spanish manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 141719 181997 231595 365485 451137 465076 476399 483964 486615 497539 552522 592468 599209 603862 608786 624542 648490 651748 653479 659079 659803 661744 662624
Changes: 
 aptitude (0.6.6-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Basic multi-arch support.  See NEWS for details.
 .
       + add search terms ?architecture and ?multiarch;
       + add grouping policy 'architecture';
 .
       (Closes: #659079, #661744)
       (LP: #454941, #845136, #884945, #904486)
 .
     - Apply patch from Ubuntu to fix build -D_FORTIFY_SOURCE=2 errors.
       Thanks to Colin Watson and Michael Vogt (Closes: #497539)
 .
     - Remove GTK+ menu entry for minesweeper. (Closes: #552522)
 .
     - Hack to prevent debug messages dumping to the screen (Closes: #651748)
 .
     - Fix '?action(upgrade)' and others (were finding kept
       packages instead).  Thanks to 'Rogier' for the patch (Closes: #603862)
 .
     - List update errors are reported. (Closes: #451137)
 .
     - List update now runs APT::Update hooks. (Closes: #476399)
 .
     - Actually silence progress messages with '-q2'.  (Closes: #141719)
 .
     - Fix various locking issues:
 .
       + '[auto]clean' locks /var/cache/apt/archives;
       + 'update' locks /var/lib/apt/lists; (Closes: #653479)
 .
     - Fix 'priority' cost level in resolver.  The values should
       have been negated but were not.  Thanks to Modestas Vainius
       for this one. (Closes: #608786)
 .
     - Fix some help and prompt strings which wrongly included
       localized names for commands such as 'why'.  (Closes: #486615)
 .
     - Change ordering of top-level sections to match the order
       in aptitude::Sections::Top-Sections.  The default order
       is now: main, contrib, non-free.  (Closes: #181997)
 .
     - Improve error messages when parsing grouping policies to
       use the user-visible names, rather than the internal
       names.  (Closes: #231595)
 .
     - Change default width of %D, %I, %o, and %Z.  Thanks to
       Michał Kułach for this one. (Closes: #599209) (LP: #741417)
 .
     - Change default width of %V, %v to 14.  This greatly increases the
       number of versions which will display completely. (Closes: #624542)
 .
     - 'versions' now groups it's results by 'package:arch' instead of
       'package'.
 .
     - Cleared up grouping, sorting policy error messages.
       (Closes: #231595)
 .
     - Minor correction to the user's manual. (Closes: #365485)
 .
     - Translation updates:
 .
       + Brazilian Portuguese (Closes: #483964)
       + Hungarian (Closes: #592468)
       + Polish (Closes: #659803)
       + Russian (Closes: #662624)
 .
   * No longer supplying aptitude-gtk.  It can still be compiled from the
     source but this was an experimental interface that was never finished.
 .
     Anyone interested in continuing either of the GTK+ or Qt interfaces
     should contact the mailing list:
 .
     http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/aptitude-devel
 .
     - Dropped Build-Depends: needed only for aptitude-gtk.
 .
   * Enable build hardening.
 .
   * Bump debian/compat to level 9, use dh_auto_configure.
 .
     - Adds cross build support. (Closes: #465076)
 .
   * Add empty build-arch, build-indep targets. (Closes: #648490)
 .
   * Extend aptitude-doc-* packages to include a more complete description
     of the program.
 .
   * Update README.Debian with details of Git repository.
 .
   * Support DEB_BUILD_OPTIONS=nocheck to disable tests.
Checksums-Sha1: 
 395ec9110526e85095c35abaca3f4042a1820130 2100 aptitude_0.6.6-1.dsc
 5335963f969f238992786cc0cb5c43465835cf3b 8384328 aptitude_0.6.6.orig.tar.gz
 fe2787b163da8c8dc62fc58be4c982dae59330d7 44141 aptitude_0.6.6-1.debian.tar.gz
 20546737e08ce6cc18f7e0e0e9749c0b8c45d152 4009466 aptitude_0.6.6-1_amd64.deb
 024cdbf8eb8d28adc1e15a3e2ff07565a3e2bdf5 16322948 aptitude-dbg_0.6.6-1_amd64.deb
 0238b6beaa5627111cdeb734defd4261ab9618fc 391416 aptitude-doc-cs_0.6.6-1_all.deb
 72df6d4aeaa7242ac01cefa42328ffefbaab0089 460736 aptitude-doc-en_0.6.6-1_all.deb
 4c3adf90fd31794b0075f8a11459f8c6a23556e0 485130 aptitude-doc-es_0.6.6-1_all.deb
 d78ec0febb085afe5f9a75d3fa2eddc3c20488ca 281710 aptitude-doc-fi_0.6.6-1_all.deb
 8504b72e23d23cbe8e108fe89f2f1f1d1ea7db91 343780 aptitude-doc-fr_0.6.6-1_all.deb
 c092ef25d5cf047b6ee23927046690081e4deb13 405484 aptitude-doc-ja_0.6.6-1_all.deb
Checksums-Sha256: 
 36526c697440d45bb493e2ef6fd6508cfce02126d981b1a679d5b07375414736 2100 aptitude_0.6.6-1.dsc
 351643067cb71bdc834117f6aa7c1dcda7dc65dd7b742c073849bdcf9ea91ece 8384328 aptitude_0.6.6.orig.tar.gz
 2cc440b3028b87348c19490410a47a15387f6fd00c3d974d8816c67d2838f839 44141 aptitude_0.6.6-1.debian.tar.gz
 7216cc1ba34047e4e1175e2b648eb5052abaac2c1e0db868fc4118935159bef4 4009466 aptitude_0.6.6-1_amd64.deb
 bfc6e17eed0b46d40d73e8a1a58e89a1665ea9798894a38bbe12c0794aaabdcb 16322948 aptitude-dbg_0.6.6-1_amd64.deb
 ddbe7753f0173409817fed187008f2f1a2e3a50e5b37d44e0cb897f00beae6bf 391416 aptitude-doc-cs_0.6.6-1_all.deb
 ccb7bf6afdffb42739c5f5c0e1d7ec1dcdd4ef2131a23a5246d41bb8164c0606 460736 aptitude-doc-en_0.6.6-1_all.deb
 659bcf47ee5d0909ccb521a9868d0cd3faca18808d6efa66e9ba735b6bd8d85d 485130 aptitude-doc-es_0.6.6-1_all.deb
 dd474d799ce94593d20690ee4274a63fc2115e06e5420ec59f7394fcdb4fe3d0 281710 aptitude-doc-fi_0.6.6-1_all.deb
 27f3ccbdeec96aa91b58da6c86c1d1706befba72b30fbb26923291433a308eeb 343780 aptitude-doc-fr_0.6.6-1_all.deb
 511e749ca16519c98d09a13cc226d459d355d31899753ab91f1ad5be23b2595c 405484 aptitude-doc-ja_0.6.6-1_all.deb
Files: 
 854ad72c09d6074c6689293660c12eaf 2100 admin important aptitude_0.6.6-1.dsc
 fdd591d3e99779a73e1b2e0b7e91332f 8384328 admin important aptitude_0.6.6.orig.tar.gz
 84794586e3904a89aff7ceb7a699c3cf 44141 admin important aptitude_0.6.6-1.debian.tar.gz
 4c5910266d70d0417dbfbe6809b6aa52 4009466 admin important aptitude_0.6.6-1_amd64.deb
 fc6e80f1502e52529bca6d9744e79009 16322948 debug extra aptitude-dbg_0.6.6-1_amd64.deb
 293cdab8231208d09bd2f32c29c4ff8f 391416 doc optional aptitude-doc-cs_0.6.6-1_all.deb
 63e945c9506a189b6f73226d21fa93e8 460736 doc optional aptitude-doc-en_0.6.6-1_all.deb
 eeb67fa402425579ac6a63a2f26141af 485130 doc optional aptitude-doc-es_0.6.6-1_all.deb
 c5829734f87cb583cbb54d3684e6fb75 281710 doc optional aptitude-doc-fi_0.6.6-1_all.deb
 6207175cb01f27c6a89e7cf5961c004c 343780 doc optional aptitude-doc-fr_0.6.6-1_all.deb
 202e4115d69e51c5a844bee21637aa32 405484 doc optional aptitude-doc-ja_0.6.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9yQVIACgkQwJ4diZWTDt79QgCfblqmKnApVBHW8tQwOFp3YHK1
daQAnRx7bjmaGnl2KTNdnwdBnUWnVwm+
=4c4y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 May 2012 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:23:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.